Subject: bug#61667: 29.0.60; Failure to redisplay

From: Eli Zaretskii <[email-masked]>
Date: Sun, 26 Feb 2023 08:44:45 +0200

> Date: Sun, 26 Feb 2023 04:00:15 +0200
> Cc: Po Lu <[email-masked]>, [email-masked],
>  Eli Zaretskii <[email-masked]>
> From: Dmitry Gutov <[email-masked]>
> 
> On 26/02/2023 03:53, Gregory Heytings wrote:
> > 
> >>> I mean: an MRE to reproduce the multi-second delay, which makes the 
> >>> bug apparent even without a title bar.
> >>
> >> The delay is multi-second only with my personal config, correct, but I 
> >> haven't been able to reproduce the problem with unchanging title bar, 
> >> or without a title bar.
> >>
> > 
> > Now I'm confused.  I understood that you were able to reproduce the 
> > multi-second delay with your config with an constant title bar.
> 
> No, the constant title bar is what fixed it even with my config. Even 
> the "multi-second delay" which potentially could have been a different 
> problem (but it wasn't).
> 
>  > E.g. you said "But whether the title changes or not, I can easily see 
> the delay between me pressing 'a' and the contents of the window being 
> updated. Or its absence."  I'm probably missing something.
> 
> "Or its absence", yes.
> 
> This was in response to Po's message:
> 
>    But in this case the frame title will never change, so no problem can
>    show up.
> 
> The problem, indeed, could show up if the delay between me pressing 'a' 
> and the buffer being displayed could still reach 200-300ms even with 
> constant title bar. But it doesn't.

Sorry, I'm still confused.  Let me try to explain what I understand
and what confuses me.

There are two use cases where you see the problem:

  . "emacs -Q", then type 'a' (which visits a file?)
  . "emacs" with your configuration, then type "C-x b", which visits a
    file

In both cases, you see a delay before the display is updated, right?
So what effect, if any, does the changing vs fixed frame title have on
each of these two use cases?  And what effect does disabling
double-buffering have on each of these two cases?

AFAIR, you originally said that when the title is not updated, the
problem disappears.  Then you said that the problem does NOT disappear
when the title is fixed, but having the title change makes it easier
to realize that the delay exists.  Now you are saying something else.
This is what confuses me: what is the effect of the changing frame
title on the above two cases?